msg_get_queue
msg_receive
Semaphore Functions
PHP Manual

# msg_queue_exists

(PHP 5 >= 5.3.0)

msg_queue_exists — Check whether a message queue exists

### Description

bool msg_queue_exists ( int `$key` )

Checks whether the message queue `key` exists.

### Parameters

`key`

  Queue key.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- msg_remove_queue() - Destroy a message queue
- msg_receive() - Receive a message from a message queue
- msg_stat_queue() - Returns information from the message queue data structure

msg_get_queue
msg_receive
Semaphore Functions
PHP Manual